Loading...
Searching...
No Matches
pcl::search::internal::PointCloudAdaptor< T > Struct Template Reference

Helper for KdTreeNanoflann, serves as a dataset adaptor. More...

`#include <pcl/search/kdtree_nanoflann.h>`

## Public Member Functions

| PointCloudAdaptor (const T *data, bool delete_data, std::size_t dim, std::size_t point_count)
| ~PointCloudAdaptor ()
void | reset_adaptor (const T *data, bool delete_data, std::size_t dim, std::size_t point_count)
std::size_t | kdtree_get_point_count () const
T | kdtree_get_pt (const std::size_t idx, const std::size_t dim) const
template<class BBOX>
bool | kdtree_get_bbox (BBOX &) const

## Detailed Description

template<typename T = float>
struct pcl::search::internal::PointCloudAdaptor< T >

Helper for KdTreeNanoflann, serves as a dataset adaptor.

Definition at line 26 of file kdtree_nanoflann.h.

## Constructor & Destructor Documentation

## PointCloudAdaptor()

template<typename T = float>

pcl::search::internal::PointCloudAdaptor< T >::PointCloudAdaptor | ( | const T * | data,
|  | bool | delete_data,
|  | std::size_t | dim,
|  | std::size_t | point_count )

inline

Definition at line 27 of file kdtree_nanoflann.h.

## ~PointCloudAdaptor()

template<typename T = float>

pcl::search::internal::PointCloudAdaptor< T >::~PointCloudAdaptor | ( |  | ) |

inline

Definition at line 34 of file kdtree_nanoflann.h.

## Member Function Documentation

## kdtree_get_bbox()

template<typename T = float>
template<class BBOX>

bool pcl::search::internal::PointCloudAdaptor< T >::kdtree_get_bbox | ( | BBOX & |  | ) | const

inline

Definition at line 68 of file kdtree_nanoflann.h.

## kdtree_get_point_count()

template<typename T = float>

std::size_t pcl::search::internal::PointCloudAdaptor< T >::kdtree_get_point_count | ( |  | ) | const

inline

Definition at line 55 of file kdtree_nanoflann.h.

## kdtree_get_pt()

template<typename T = float>

T pcl::search::internal::PointCloudAdaptor< T >::kdtree_get_pt | ( | const std::size_t | idx,
|  | const std::size_t | dim ) const

inline

Definition at line 61 of file kdtree_nanoflann.h.

## reset_adaptor()

template<typename T = float>

void pcl::search::internal::PointCloudAdaptor< T >::reset_adaptor | ( | const T * | data,
|  | bool | delete_data,
|  | std::size_t | dim,
|  | std::size_t | point_count )

inline

Definition at line 41 of file kdtree_nanoflann.h.

The documentation for this struct was generated from the following file:

- pcl/search/kdtree_nanoflann.h